﻿using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Threading.Tasks;

namespace plugin_3dm_arcgispro
{
    internal class ButtonMeasurements : Button
    {
        /// <summary>
        /// Called when the measurements button is pressed
        /// </summary>
        protected override void OnClick()
        {
            if (PluginArcGIS.INSTANCE != null)
            {
                QueuedTask.Run(() =>
                {
                    PluginArcGIS.INSTANCE.doSaveMeasurement();
                });
            }
        }
    }
}
